#ifndef KARAMBA_CONF_H
#define KARAMBA_CONF_H

#include <qvariant.h>
#include <qpixmap.h>
#include <qdialog.h>
#include <qvbox.h>
#include <qurl.h>
#include <ktextedit.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qwidget.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>
#include <kiconloader.h>
#include <ksimpleconfig.h>
#include <kfiledialog.h>
#include <kurl.h>
#include <kdirselectdialog.h>
#include <kaboutdata.h>
#include <klocale.h>
#include <kstringhandler.h>
#include <kactivelabel.h>
class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QGroupBox;
class QIconView;
class QIconViewItem;
class QLabel;
class QLineEdit;
class QPushButton;
class QTabWidget;
class QWidget;

/**
 * @short Application Configuration Window
 * @author Bosselut Cyril <bosselut@b1project.com>
 * @version 0.17
 */
class KarambaConf : public QDialog
{
    Q_OBJECT

public:
    KarambaConf( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~KarambaConf();

    QPushButton* buttonHelp;
    QPushButton* buttonOk;
    QPushButton* buttonCancel;
    QTabWidget* tabWidget;
    QTabWidget* tabWidget2;
    QWidget* Widget2;
    QGroupBox* dFolderGroup;
    QLineEdit* dFolder;
    QPushButton* browse_1;
    QGroupBox* dThemeGroup;
    QLineEdit* dTheme;
    QLabel* themeLabel;
    QPushButton* browse_2;
    QWidget* Widget3;
    QGroupBox* CoversGroup;
    QLabel* textLabel1;
    QLineEdit* cWidth;
    QLineEdit* cHeight;
    QLabel* textLabel2;
    QWidget* Widget4;
    QWidget* Widget5;
    QWidget* Widget6;
    QLabel* textLabel3;
    KActiveLabel* textLabel4;
    KTextEdit* textEdit1;
    KAboutData* about;

protected:
    QHBoxLayout* Layout1;
    QHBoxLayout* layout5;
    QVBoxLayout* layout3;

protected slots:
    virtual void languageChange();

private:
  QString Dir;
  QString Theme;
  int CoverWidth;
  int CoverHeight;

private slots:
    void loadConfig();
    void saveConfig();
    void selThemeDir();
    void selDefaultTheme();

};

#endif // KARAMBA_CONF_H
